#include <FLAC++/metadata.h>

#include <iostream>

int main(int argc, char *argv[])
{
  if (argc < 2)
  {
    std::cout << "Need flac argument" << std::endl;
    return 1;
  }
  
  FLAC::Metadata::Chain chain;
  chain.read(argv[1]);

  FLAC::Metadata::Iterator iterator;
  iterator.init(chain);

  FLAC::Metadata::Prototype *prot = iterator.get_block();
  // delete prot; // this fixes it

  chain.write();

  return 0;
}
